(***********************************************************************)
(*                                                                     *)
(*                         Caml Special Light                          *)
(*                                                                     *)
(*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1995 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* reload.mli,v 1.2 1995/08/09 15:00:04 xleroy Exp *)

(* Insert load/stores for pseudoregs that got assigned to stack locations.
   Insert moves to comply with calling conventions, etc. *)

val fundecl: Mach.fundecl -> Mach.fundecl * bool

(* Auxiliary functions for use by the processor description to do its own
   reloading *)

val makereg: Reg.t -> Reg.t
val makeregs: Reg.t array -> Reg.t array
